# FairMQ: fair::mq::shmem::Manager Class Reference

fair::mq::shmem::Manager Class Reference

## Public Member Functions

| Manager (std::string shmId, std::string deviceId, size_t size, const ProgOptions *config)
| Manager (const Manager &)=delete
Manager | operator= (const Manager &)=delete
void | Interrupt ()
void | Resume ()
void | Reset ()
bool | Interrupted ()
std::pair< boost::interprocess::mapped_region *, uint16_t > | CreateRegion (const size_t size, const int64_t userFlags, RegionCallback callback, RegionBulkCallback bulkCallback, const std::string &path="", int flags=0)
Region * | GetRegion (const uint16_t id)
Region * | GetRegionUnsafe (const uint16_t id)
void | RemoveRegion (const uint16_t id)
std::vector< fair::mq::RegionInfo > | GetRegionInfo ()
std::vector< fair::mq::RegionInfo > | GetRegionInfoUnsafe ()
void | SubscribeToRegionEvents (RegionEventCallback callback)
bool | SubscribedToRegionEvents ()
void | UnsubscribeFromRegionEvents ()
void | RegionEventsSubscription ()
void | IncrementMsgCounter ()
void | DecrementMsgCounter ()
boost::interprocess::named_mutex & | GetMtx ()
void | SendHeartbeats ()
bool | ThrowingOnBadAlloc () const
void | GetSegment (uint16_t id)
boost::interprocess::managed_shared_memory::handle_t | GetHandleFromAddress (const void *ptr, uint16_t segmentId) const
void * | GetAddressFromHandle (const boost::interprocess::managed_shared_memory::handle_t handle, uint16_t segmentId) const
char * | Allocate (const size_t size, size_t alignment=0)
void | Deallocate (boost::interprocess::managed_shared_memory::handle_t handle, uint16_t segmentId)
char * | ShrinkInPlace (size_t newSize, char *localPtr, uint16_t segmentId)
uint16_t | GetSegmentId () const

## Static Public Member Functions

static void | StartMonitor (const std::string &id)

The documentation for this class was generated from the following file:

- fairmq/shmem/Manager.h

privacy